# Generated by rust2rpm 27
%bcond check 1

%global crate cbindgen

Name:           rust-cbindgen
Version:        0.28.0
Release:        %mkrel 1
Summary:        Tool for generating C bindings to Rust code
Group:		Development/Rust

License:        MPL-2.0
URL:            https://crates.io/crates/cbindgen
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump heck dependency from 0.4 to 0.5
# * bump serial_test dev-dependency from 2.0 to 3.1
Patch:          cbindgen-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
%if %{with check}
BuildRequires:  cython
BuildRequires:  gcc
BuildRequires:  gcc-c++
%endif

%global _description %{expand:
A tool for generating C bindings to Rust code.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        %{shrink:
    MPL-2.0 AND
    MIT AND
    Unicode-DFS-2016 AND
    (Apache-2.0 OR BSL-1.0) AND
    (Apache-2.0 OR MIT) AND
    (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
    (Unlicense OR MIT)
} 
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%doc contributing.md
%doc docs.md
%doc internals.md
%{_bindir}/cbindgen

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/contributing.md
%doc %{crate_instdir}/docs.md
%doc %{crate_instdir}/internals.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable_ir-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable_ir-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable_ir" feature of the "%{crate}" crate.

%files       -n %{name}+unstable_ir-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Tue May 20 2025 wally <wally> 0.28.0-1.mga10
+ Revision: 2185324
- new version 0.28.0
- update RPM group to Development/Rust

* Sat Sep 14 2024 wally <wally> 0.27.0-1.mga10
+ Revision: 2096188
- new version 0.27.0

* Mon Oct 30 2023 tv <tv> 0.26.0-0.1.mga10
+ Revision: 2002934
- Explicitely BR rust-termcolor-devel
- Explicitely BR rust-strsim-devel
- Explicitely BR rust-atty-devel
- Explicitely BR rust-toml0.5-devel
- Explicitely BR rust-syn1-devel
- imported package rust-cbindgen


* Sun Oct 29 2023 Thierry Vignaud <tv@mageia.org> 0.26.0-0.1.mga10
- Import from FC
- Update to 0.26.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Josh Stone <jistone@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Tue Jan 30 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-2
- Rebuild for rust-packaging v5

* Fri Jan 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Mon Jan 01 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.3-1
- Initial package
